### Method

# Gtk TreeViewColumn add_attribute

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_add_attribute (
      GtkTreeViewColumn* tree_column,
      GtkCellRenderer* cell_renderer,
      const char* attribute,
      int column
    )

#### Description [src]

Adds an attribute mapping to the list in `tree_column`.

The `column` is the column of the model to get a value from, and the `attribute` is the parameter on `cell_renderer` to be set from the value. So for example if column 2 of the model contains strings, you could have the “text” attribute of a `GtkCellRendererText` get its values from column 2.

Deprecated since: 4.10

Use GtkColumnView instead.

#### Parameters

`cell_renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` to set attributes on.

  The data is owned by the caller of the method.

`attribute`

  Type: `const char*`

  An attribute on the renderer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`column`

  Type: `int`

  The column position on the model to get the attribute from.